Find programs similar to a program
curl --request GET \
--url https://api.pav.bio/v1/programs/{program_id}/similar-programs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pav.bio/v1/programs/{program_id}/similar-programs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pav.bio/v1/programs/{program_id}/similar-programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"program_id": 18342,
"data": [
{
"id": 18342,
"company_id": 412,
"short_name": "pfizer",
"company": "Pfizer",
"drug": "Danuglipron",
"status": "active",
"indication": "Type 2 Diabetes",
"phase": "Phase 2",
"phase_norm": "Phase 2",
"modality": "Small molecule",
"modality_norm": "small_molecule",
"target": "GLP-1R",
"mechanism_of_action": "GLP-1 receptor agonist",
"territory": "United States",
"description": "Oral GLP-1 receptor agonist for type 2 diabetes and obesity.",
"notes": "Phase 2b dose-finding study ongoing.",
"partners": [
"<unknown>"
],
"clinical_trials": [
{
"nct_id": "NCT04368728",
"nct_url": "https://clinicaltrials.gov/study/NCT04368728",
"nct_phase": "Phase 3",
"nct_sponsor": "Pfizer",
"nct_conditions": "COVID-19|SARS-CoV-2 Infection",
"nct_status": "Completed"
}
],
"indication_terms": [
{
"ontology": "MONDO",
"term_id": "MONDO:0005148",
"term_label": "type 2 diabetes mellitus",
"source_text": "Type 2 Diabetes"
}
],
"target_terms": [
{
"ontology": "NCIT",
"term_id": "NCIT:C1110",
"term_label": "Ganglioside GD2",
"source_text": "GD2"
}
],
"source_url": "https://www.pfizer.com/science/drug-product-pipeline",
"source_checked_at": "2026-06-19T04:12:00Z"
}
]
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}programs
Find programs similar to a program
Return the pipeline programs most similar to the given program, ranked by similarity. Useful for finding competitive or analogous assets. Returns 404 not_found if the source program id is unknown.
GET
/
v1
/
programs
/
{program_id}
/
similar-programs
Find programs similar to a program
Authorizations
Use a personal or organization Pav API key from Pav developer settings. Send it as Authorization: Bearer <api_key>.
Path Parameters
Durable Pav program id to find neighbors for.
Example:
18342